package it.unibo.cs.lbedogni.alarmservice;

import android.app.Activity;
import android.app.AlarmManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.SystemClock;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

public class AlarmServiceActivity extends Activity implements View.OnClickListener {
    Button btnBegin;
    EditText etBegin;

    AlarmManager as;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);

        etBegin = (EditText)findViewById(R.id.etBegin);
        btnBegin = (Button)findViewById(R.id.btnBegin);

        btnBegin.setOnClickListener(this);
        
        as = (AlarmManager) getSystemService(Context.ALARM_SERVICE);
    }

    @Override
    public void onClick(View view) {
        PendingIntent pendingIntent;
        Intent intent = new Intent(Intent.ACTION_VIEW);
        intent.setData(Uri.parse("http://www.unibo.it"));
        pendingIntent =  PendingIntent.getActivity(this, 0, intent, 0);

        as.set(AlarmManager.ELAPSED_REALTIME, SystemClock.elapsedRealtime() + Integer.valueOf(etBegin.getText().toString()) * 1000, pendingIntent);
    }
}